You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

108 lines
4.2 KiB

  1. #!/bin/sh
  2. set -e
  3. TESTDIR="$(readlink -f "$(dirname "$0")")"
  4. . "$TESTDIR/framework"
  5. setupenvironment
  6. configarchitecture 'amd64' 'armel'
  7. insertinstalledpackage 'build-essential' 'all' '11.5' 'Multi-Arch: foreign'
  8. insertpackage 'unstable' 'po-debconf' 'all' '1'
  9. insertsource 'unstable' 'dash' 'any' '1' 'Build-Depends: po-debconf'
  10. insertpackage 'unstable' 'make-po-debconf-pure-virtual' 'armel' '1' 'Depends: po-debconf'
  11. insertsource 'unstable' 'diffutils' 'any' '1' 'Build-Depends: texi2html'
  12. insertpackage 'unstable' 'libselinux1-dev' 'amd64' '1' 'Provides: libselinux-dev'
  13. insertsource 'unstable' 'sed' 'any' '1' 'Build-Depends: libselinux-dev'
  14. insertpackage 'unstable' 'libsehurd1-dev' 'amd64,armel' '1' 'Provides: libsehurd-dev'
  15. insertsource 'unstable' 'sed2' 'any' '1' 'Build-Depends: libsehurd-dev'
  16. setupaptarchive
  17. testsuccessequal 'Package: po-debconf:armel
  18. Versions:
  19. Reverse Depends:
  20. make-po-debconf-pure-virtual:armel,po-debconf:armel
  21. Dependencies:
  22. Provides:
  23. Reverse Provides: ' aptcache showpkg po-debconf:armel
  24. testsuccessequal 'N: Unable to locate package texi2html:armel' aptcache showpkg texi2html:armel
  25. testsuccessequal 'Reading package lists...
  26. Reading package lists...
  27. Building dependency tree...
  28. The following NEW packages will be installed:
  29. po-debconf
  30. 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
  31. Inst po-debconf (1 unstable [all])
  32. Conf po-debconf (1 unstable [all])' aptget build-dep dash -s
  33. testfailureequal 'Reading package lists...
  34. Reading package lists...
  35. Building dependency tree...
  36. Some packages could not be installed. This may mean that you have
  37. requested an impossible situation or if you are using the unstable
  38. distribution that some required packages have not yet been created
  39. or been moved out of Incoming.
  40. The following information may help to resolve the situation:
  41. The following packages have unmet dependencies:
  42. builddeps:dash:armel : Depends: po-debconf:armel but it is not installable
  43. E: Unable to correct problems, you have held broken packages.' aptget build-dep -aarmel dash -s
  44. testfailureequal 'Reading package lists...
  45. Reading package lists...
  46. Building dependency tree...
  47. Some packages could not be installed. This may mean that you have
  48. requested an impossible situation or if you are using the unstable
  49. distribution that some required packages have not yet been created
  50. or been moved out of Incoming.
  51. The following information may help to resolve the situation:
  52. The following packages have unmet dependencies:
  53. builddeps:diffutils:armel : Depends: texi2html:armel but it is not installable
  54. E: Unable to correct problems, you have held broken packages.' aptget build-dep -aarmel diffutils -s
  55. testsuccessequal "Reading package lists...
  56. Reading package lists...
  57. Building dependency tree...
  58. The following NEW packages will be installed:
  59. libselinux1-dev
  60. 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
  61. Inst libselinux1-dev (1 unstable [amd64])
  62. Conf libselinux1-dev (1 unstable [amd64])" aptget build-dep sed -s
  63. testfailureequal 'Reading package lists...
  64. Reading package lists...
  65. Building dependency tree...
  66. Some packages could not be installed. This may mean that you have
  67. requested an impossible situation or if you are using the unstable
  68. distribution that some required packages have not yet been created
  69. or been moved out of Incoming.
  70. The following information may help to resolve the situation:
  71. The following packages have unmet dependencies:
  72. builddeps:sed:armel : Depends: libselinux-dev:armel but it is not installable
  73. E: Unable to correct problems, you have held broken packages.' aptget build-dep -aarmel sed -s
  74. testsuccessequal "Reading package lists...
  75. Reading package lists...
  76. Building dependency tree...
  77. The following NEW packages will be installed:
  78. libsehurd1-dev
  79. 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
  80. Inst libsehurd1-dev (1 unstable [amd64])
  81. Conf libsehurd1-dev (1 unstable [amd64])" aptget build-dep sed2 -s
  82. testsuccessequal "Reading package lists...
  83. Reading package lists...
  84. Building dependency tree...
  85. The following NEW packages will be installed:
  86. libsehurd1-dev:armel
  87. 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
  88. Inst libsehurd1-dev:armel (1 unstable [armel])
  89. Conf libsehurd1-dev:armel (1 unstable [armel])" aptget build-dep -aarmel sed2 -s